<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>net8.0-windows</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <UseWPF>true</UseWPF>
    <Platforms>AnyCPU;x64</Platforms>
    <ApplicationIcon>favicon.ico</ApplicationIcon>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="IMG\IMPORTANT.png" />
    <None Remove="IMG\IMPORTANT_URGENT.png" />
    <None Remove="IMG\NON_LU.png" />
    <None Remove="IMG\URGENT.png" />
  </ItemGroup>

  <ItemGroup>
    <Content Include="favicon.ico" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="CustomSelectFileDlg" Version="1.0.0" />
    <PackageReference Include="MaterialDesignColors" Version="5.2.1" />
    <PackageReference Include="MaterialDesignThemes" Version="5.2.1" />
    <PackageReference Include="Microsoft.Extensions.Configuration" Version="9.0.9" />
    <PackageReference Include="Microsoft.Extensions.Configuration.Json" Version="9.0.9" />
    <PackageReference Include="System.Speech" Version="9.0.9" />
  </ItemGroup>

  <ItemGroup>
    <Content Include="IMG\IMPORTANT.png">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="IMG\IMPORTANT_URGENT.png">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="IMG\NON_LU.png">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="IMG\URGENT.png">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\ChatService\ChatService.csproj" />
    <ProjectReference Include="..\..\CVService\CVService.csproj" />
    <ProjectReference Include="..\..\DocumentsEntreprisesServices\DocumentsEntreprisesService.csproj" />
    <ProjectReference Include="..\..\EmailService\EmailService.csproj" />
    <ProjectReference Include="..\..\EmailStructure\EmailStructure.csproj" />
    <ProjectReference Include="..\..\FaceRecognition\FaceRecognition.csproj" />
    <ProjectReference Include="..\..\RAGService\RAGService.csproj" />
    <ProjectReference Include="..\..\ReActAgentService\ReActAgentService.csproj" />
    <ProjectReference Include="..\..\ToolsService\ToolsService.csproj" />
  </ItemGroup>

</Project>
